Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.ejb
Class GenericMessageDrivenBean

    java.lang.Object
      |
      +--weblogic.ejb.GenericEnterpriseBean
            |
            +--weblogic.ejb.GenericMessageDrivenBean

public abstract class GenericMessageDrivenBean
extends GenericEnterpriseBean
implements javax.ejb.MessageDrivenBean

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`GenericMessageDrivenBean()`

Method Summary
`void` | `ejbCreate()`
`void` | `ejbRemove()`
`protected javax.ejb.MessageDrivenContext` | `getMessageDriveContext()`
`protected javax.ejb.MessageDrivenContext` | `getMessageDrivenContext()`
`void` | `setMessageDrivenContext(javax.ejb.MessageDrivenContext c)`

Methods inherited from class weblogic.ejb.GenericEnterpriseBean
`getCurrentTransaction, getCurrentTransactionStatus, getCurrentXID, getEnvEntry, getInitialContext, getTransactionManager, isTracingEnabled, logDebugMessage, logDebugMessage, logErrorMessage, logErrorMessage, setTracingEnabled, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericMessageDrivenBean

    public GenericMessageDrivenBean()

Method Detail

### setMessageDrivenContext

    public void setMessageDrivenContext(javax.ejb.MessageDrivenContext c)

  Specified by:
    setMessageDrivenContext in interface javax.ejb.MessageDrivenBean

### getMessageDriveContext

    protected javax.ejb.MessageDrivenContext getMessageDriveContext()

### getMessageDrivenContext

    protected javax.ejb.MessageDrivenContext getMessageDrivenContext()

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

### ejbRemove

    public void ejbRemove()

  Specified by:
    ejbRemove in interface javax.ejb.MessageDrivenBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD